DRM_VMA_NODE_REVOKE(9)

NAME
drm_vma_node_revoke - Remove open-file from list of allowed users

SYNOPSIS

void drm_vma_node_revoke(struct drm_vma_offset_node * node, struct file * filp);

ARGUMENTS

node
    Node to modify

filp
    Open file to remove

DESCRIPTION

Decrement the ref-count of filp in the list of allowed open-files on node. If the ref-count drops to zero, remove filp from the list. You must call this once for every drm_vma_node_allow on filp.

This is locked against concurrent access internally.

If filp is not on the list, nothing is done.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT